gtk-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Opaque An object to represent the possible attributes of text in a
- Constructor
  2.12.0.0
  Public constructor.
- Constructor
  2.12.0.0
  An , a pointer to the C object.
  Constructor for internal use only.
- Property
  2.12.0.0
  Gtk.TextAppearance The appearance of this text: colors, underlining, etc. To be added. See for more details.
- Property
  2.12.0.0
  System.Boolean Whether background is fit to full line height a
- Method
  2.12.0.0
  Gtk.TextAttributes Makes a new copy of this object. A new FIXME: elaborate the difference between this and Copy, and see if the differences in the underlying C library carry over to the C# library
- Method
  2.12.0.0
  System.Void `` A new Copy the values in this object to and free the values in this object..
- Property
  2.12.0.0
  Gtk.TextDirection Whether this text runs right-to-left or left-to-right. To be added.
- Property
  2.12.0.0
  System.Boolean Whether or not the text is editable. a
- Method
  2.12.0.0
  System.Void To be added. To be added.
- Property
  2.12.0.0
  System.Obsolete("Replaced by Font property.")
  Pango.FontDescription The font for this text. a
- Property
  2.12.0.0
  Pango.FontDescription The font for this text. To be added.
- Property
  2.12.0.0
  System.Double The scale of this text. To be added. For more information about font scaling, see
- Property
  2.12.0.0
  GLib.GType GType Property. a Returns the native value for .
- Property
  2.12.0.0
  System.Int32 The size of the indent. To be added.
- Property
  2.12.0.0
  System.Boolean Whether or not the text should be hidden. a
- Property
  2.12.0.0
  Gtk.Justification The justification of this text. To be added.
- Property
  2.12.0.0
  System.Obsolete("Replaced by Language property.")
  Pango.Language The language of this text. a
- Property
  2.12.0.0
  Pango.Language The language of this text. To be added.
- Property
  2.12.0.0
  System.Int32 The size of the left margin. To be added.
- Method
  2.12.0.0
  System.Obsolete("Replaced by TextAttributes() constructor")
  Gtk.TextAttributes Obsolete, replaced by normal constructor A new
- Method
  2.12.0.0
  System.Obsolete("Replaced by TextAttributes(IntPtr) constructor")
  Gtk.TextAttributes `` An , a pointer to the C object. Obsolete constructor for internal use only. a new
- Property
  2.12.0.0
  System.Int32 The number of blank pixels above a line of text. To be added.
- Property
  2.12.0.0
  System.Int32 The number of blank pixels below a line of text. To be added.
- Property
  2.12.0.0
  System.Int32 The number of pixels between wrapped lines. To be added.
- Property
  2.12.0.0
  System.Boolean Whether or not the attribute is fully-realized. a
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.12.0.0
  System.Int32 The size of the right margin. To be added.
- Property
  2.12.0.0
  System.Obsolete("Replaced by Tabs property.")
  Pango.TabArray The tab stops for this text. a
- Property
  2.12.0.0
  Pango.TabArray The tab stops for this text. To be added.
- Method
  2.12.0.0
  System.Void `` To be added. To be added. To be added.
- Property
  2.12.0.0
  Gtk.WrapMode The line-wrapping style for this text. To be added.
- Field
  2.12.0.0
  System.Obsolete("Gtk.TextAttributes is a reference type now, use null")
  Gtk.TextAttributes Obsolete: use .